VERSION 5.00
Object = "*\ACompressZIt.vbp"
Begin VB.Form Form1 
   Caption         =   "Compress-Z-It Demo Form"
   ClientHeight    =   4155
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6765
   LinkTopic       =   "Form1"
   ScaleHeight     =   4155
   ScaleWidth      =   6765
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command4 
      Caption         =   "&Exit"
      Height          =   1155
      Left            =   2760
      TabIndex        =   7
      Top             =   2880
      Width           =   3375
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Compress String (CompressString example)"
      Height          =   435
      Left            =   2760
      TabIndex        =   6
      Top             =   2280
      Width           =   3915
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Compress Byte array (CompressData example)"
      Height          =   435
      Left            =   2760
      TabIndex        =   5
      Top             =   1740
      Width           =   3915
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Compress File (CompressData example)"
      Height          =   435
      Left            =   2760
      TabIndex        =   4
      Top             =   1200
      Width           =   3915
   End
   Begin VB.FileListBox File1 
      Height          =   1650
      Left            =   60
      TabIndex        =   1
      Top             =   2460
      Width           =   2535
   End
   Begin VB.DirListBox Dir1 
      Height          =   1665
      Left            =   60
      TabIndex        =   0
      Top             =   720
      Width           =   2535
   End
   Begin CompressZItProj.CompressZIt CompressZIt1 
      Left            =   6240
      Top             =   3540
      _ExtentX        =   847
      _ExtentY        =   847
   End
   Begin VB.Label Label2 
      Caption         =   $"czdemofrm.frx":0000
      Height          =   1035
      Left            =   2820
      TabIndex        =   3
      Top             =   60
      Width           =   3915
   End
   Begin VB.Label Label1 
      Caption         =   "Choose a file from the path and file lists. Press 'compress' to compress the file."
      Height          =   555
      Left            =   120
      TabIndex        =   2
      Top             =   60
      Width           =   2535
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Command1_Click()

filenam$ = Dir1.Path
If Right$(filenam$, 1) <> "\" Then filenam$ = filenam$ + "\"

thepath$ = filenam$ 'get path

filenam$ = filenam$ & File1.filename 'add file name to path

'allocate byte array
Dim TheBytes() As Byte

ReDim TheBytes(FileLen(filenam$) - 1)

'read byte array from file
Open filenam$ For Binary Access Read As #1
    Get #1, , TheBytes()
Close #1

'compress byte array
result = CompressZIt1.CompressData(TheBytes())

On Error Resume Next 'error handler if we delete non-existing file
Kill thepath$ + "czdemo.co"
Kill thepath$ + "czdemo.dec"

'Write it out to the .co file
Open thepath$ + "czdemo.co" For Binary Access Write As #1
    Put #1, , TheBytes()
Close #1

'decompress byte array
result = CompressZIt1.DecompressData(TheBytes(), CompressZIt1.OriginalSize)

'Write it out to the .dec file
Open thepath$ + "czdemo.dec" For Binary Access Write As #1
    Put #1, , TheBytes()
Close #1


Erase TheBytes

End Sub

Private Sub Command2_Click()

Dim TheBytes() As Byte

DataSize = 100
DataSize = DataSize * 1024

ReDim TheBytes(DataSize - 1) 'allocate precisely 100K

'Fill our bytes from random junk.
'we use 10 bytes of one char, 10 bytes of another,
'and so on.
cnt = 10
For c = 0 To UBound(TheBytes)
    If cnt = 10 Then
      TheChar = Int((255 - 0 + 1) * Rnd + 0)
      cnt = 0
    End If
    TheBytes(c) = TheChar
Next c

MsgBox "Original size: " & CStr(UBound(TheBytes) + 1) & " bytes"

res = CompressZIt1.CompressData(TheBytes())

MsgBox "Compressed size: " & CStr(UBound(TheBytes) + 1) & " bytes"

res = CompressZIt1.DecompressData(TheBytes(), CompressZIt1.OriginalSize)

MsgBox "Decompressed (or should I say original) size: " & CStr(UBound(TheBytes) + 1) & " bytes"

'cleanup

Erase TheBytes

End Sub

Private Sub Command3_Click()

Dim OurString As String

OurString = "This is a string. It is just a normal ordinary string."

MsgBox OurString

res = CompressZIt1.CompressString(OurString)

MsgBox "Compressed string (may not display all characters due to Nulls: " & OurString

res = CompressZIt1.DecompressString(OurString, CompressZIt1.OriginalSize)

MsgBox "Here it is, again, decompressed: " & "(" & OurString & ")"

'Note, is res is not 0 then it would mean an error.

End Sub

Private Sub Command4_Click()
Unload Me
End Sub


Private Sub Dir1_Change()
File1.Path = Dir1.Path
End Sub


